package org.springblade.modules.xxy.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseService;
import org.springblade.modules.rhzf.fwInfo.vo.LdBzdzVO;
import org.springblade.modules.xxy.entity.XxyEntity;
import org.springblade.modules.xxy.excel.XxyExcel;
import org.springblade.modules.xxy.vo.DyVO;
import org.springblade.modules.xxy.vo.XxyVO;

import java.util.List;
import java.util.Map;

/**
 * 信息员 服务类
 *
 * @author BladeX
 * @since 2023-07-07
 */
public interface IXxyService extends BaseService<XxyEntity> {
	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param Xxy
	 * @return
	 */
	IPage<XxyEntity> selectXxyPage(IPage<XxyEntity> page, XxyEntity Xxy);

	/**
	 * 导出数据
	 *
	 * @return
	 */
	List<XxyExcel> exportXxy(Map<String, Object> params);

	IPage<XxyVO> getXxyList(IPage<XxyVO> page, Map<String, Object> params);

	List<LdBzdzVO> getJzwList(Map<String, Object> params);

	List<DyVO> getDyList(Map<String, Object> params);

	List<XxyVO> selectXxyList(Map<String, Object> params);
}
